petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscOptionsInsert

Inserts into the options database from the command line, the environmental variable and a file.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsInsert(int *argc,char ***args,const char file[])

### Input Parameters

| argc | - count of number of command line arguments
| args | - the command line arguments
| file | - optional filename, defaults to ~username/.petscrc

### Note

Since PetscOptionsInsert() is automatically called by PetscInitialize(), the user does not typically need to call this routine. PetscOptionsInsert() can be called several times, adding additional entries into the database.

### Options Database Keys

| -options_monitor <optional filename> | - print options names and values as they are set
| -options_file <filename> | - read options from a file

### See Also

PetscOptionsDestroy_Private(), PetscOptionsView(), PetscOptionsInsertString(), PetscOptionsInsertFile(),
PetscInitialize()

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex30.c.html